## pcal 1.0.0

=== DESCRIPTION ===
Package: pcal
Type: Package
Title: Calibration of P-Values for Point Null Hypothesis Testing
Version: 1.0.0
Authors@R: c(
  person("Pedro", "Fonseca", email = "pedro.teles.fonseca@outlook.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-5708-081X")),
  person("Rui", "Paulo", role = c("ctb", "ths"), comment = c(ORCID = "0000-0002-4802-527X")),
  person(given = "FCT", role = "fnd"))
Description: Calibrate p-values under a robust perspective using the methods developed
    by Sellke, Bayarri, and Berger (2001) <doi:10.1198/000313001300339950> and obtain 
    measures of the evidence provided by the data in favor of point null hypotheses 
    which are safer and more straightforward to interpret.
License: GPL-3 | file LICENSE
URL: https://pedro-teles-fonseca.github.io/pcal/,
        https://github.com/pedro-teles-fonseca/pcal
BugReports: https://github.com/pedro-teles-fonseca/pcal/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Imports: Rdpack (>= 0.7)
Suggests: covr (>= 3.5.0), testthat (>= 2.3.2), knitr (>= 1.28),
        rmarkdown (>= 2.1)
RdMacros: Rdpack
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-07-03 19:42:27 UTC; pedro
Author: Pedro Fonseca [aut, cre] (<https://orcid.org/0000-0002-5708-081X>),
  Rui Paulo [ctb, ths] (<https://orcid.org/0000-0002-4802-527X>),
  FCT [fnd]
Maintainer: Pedro Fonseca <pedro.teles.fonseca@outlook.com>
Repository: CRAN
Date/Publication: 2020-07-06 09:20:09 UTC

## pcal 4.8.0

=== Makefile ===
#
# Makefile for pcal under Un*x, OS/2, or DOS+DJGPP
# 
# Use these commands:
# 
#    Unix/Linux: make
# 
#    OS/2: make OS=OS2
# 
#    DOS+DJGPP: make OS=DJGPP
# 
# 
# v4.8.0: Enhance comments; reverse sense of 'SEARCH_PCAL_DIR' flag so that
#         enabling the commented-out line has the desired effect; remove
#         unused 'make' targets ('compress' and 'uuencode') and now-obsolete
#         list of files for 'TARSRC'; remove refs to obsolete source
#         files; remove now-unneeded specification of paper size; provide for
#         new directory locations for source code, object code, and executable 
#         code; merge OS/2 'Makefile.os2' file into this file; add support for
#         DOS+DJGPP building based on a patch from Thiago F.G. Albuquerque;
#         provide a new flag 'BUILD_ENV_xxx' so that we can distinquish the 
#         build environment among Unix, OS/2, and DOS+DJGPP at compile time;
#         fixed up the out-of-date target dependency lists
#         
# v4.7: add HTML-specific command-line definitions (cf. pcaldefs.h)
#	delete moon96; add moon98
#	add Makefile.os2 to TARSRC definition
#	parameterize executable names; define pcalinit-specific compiler
#	  name (to facilitate cross-builds)
#
# v4.6: "make compress" creates compressed tar file; "make uuencode" creates
#	uuencode-d version thereof
#
# v4.5: "make clean" leaves pcal intact but removes other by-products;
#       "make clobber" blows everything away;
#	"make fresh" rebuilds from scratch
#

VERSION  = 4.8.0

# 
# Depending on whether we're compiling for Unix, OS/2, or DOS/DJGPP, use
# appropriate values for the OS name, the 'build environment' flag, the names
# of the executable files, the compiler(s), and the 'pack' value.
# 
# The 'PCALINIT_CC' value should always specify the compiler native to the
# host on which we're building 'pcal'.  The 'CC' value should specify the same
# (native) compiler, unless the target machine requires a cross-compiler.
# 
# The 'PACK' value is used for packing the 'man' page.  Note that setting
# 'PACK' to ":" will cause no packing to be done; otherwise, choose
# "compress", "pack", or "gzip" as your system requires.
# 
ifeq ($(OS),OS2)   # OS/2
	OS_NAME = "OS/2"
	D_BUILD_ENV	= -DBUILD_ENV_OS2
	PCAL		= pcal.exe
	PCALINIT	= pcalinit.exe
	CC		= gcc
	PCALINIT_CC	= gcc
	PACK		= :
else
	ifeq ($(OS),DJGPP)   # DOS/DJGPP
		OS_NAME = "DOS/DJGPP"
		D_BUILD_ENV	= -DBUILD_ENV_DJGPP
		PCAL		= pcal.exe
		PCALINIT	= pcalinit.exe
		CC		= gcc
		PCALINIT_CC	= gcc
		PACK =		:
	else   # Unix
		OS_NAME = "Unix"
		D_BUILD_ENV	= -DBUILD_ENV_UNIX
		PCAL		= pcal
		PCALINIT	= pcalinit
		CC		= /usr/bin/gcc
		PCALINIT_CC	= /usr/bin/gcc
		PACK		= compress
		# PACK		= pack
		# PACK		= gzip
	endif
endif

# 
# Define various directories for the following items:
# 
#    - source code
#    - object code (and compile-time, auto-generated C header files)
#    - executable code
#    - documentation
#    - installed 'pcal' executable
#    - 'man' pages
#    - 'cat' pages
# 
# Note that in an attempt to better document the actions in this 'make' file,
# separate directories are allowed for the source, the objects, and the
# executables, but for now, we're just using the same actual destination
# directory ('src') for all of them.
# 
SRCDIR	= src
OBJDIR	= obj
EXECDIR	= exec
DOCDIR	= doc
BINDIR	= /usr/local/bin
MANDIR	= /usr/man/man1
CATDIR	= /usr/man/cat1

# 
# Compiling for DOS/DJGPP requires different directories for the installed
# executable and the 'man'/'cat' pages.  Unix and OS/2 use the same (default)
# values shown above.
# 
ifeq ($(OS),DJGPP)
	BINDIR = $(DJDIR)/bin
	MANDIR = $(DJDIR)/man/man1
	CATDIR = $(DJDIR)/man/cat1
endif

OBJECTS = $(OBJDIR)/pcal.o $(OBJDIR)/exprpars.o $(OBJDIR)/moonphas.o \
		$(OBJDIR)/pcalutil.o $(OBJDIR)/readfile.o \
		$(OBJDIR)/writefil.o $(OBJDIR)/pcalpapr.o

# ------------------------------------------------------------------
# 
# Site-specific defaults which may be overridden here (cf. pcallang.h);
# uncomment the examples below and/or change them to your liking
# 

# 
# Define an 8-bit character mapping by defining 'MAPFONTS' to one of the
# following:
#    
#    LATIN1 (for ISO Latin-1)
#    ROMAN8 (for Roman8)
#    ESPERANTO (for Esperanto)
#    KOI8U (for KOI8-U [Ukrainian variant of Cyrillic])
#    
# D_MAPFONTS   = -DMAPFONTS=ROMAN8

# redefine title, date, and notes font/pointsize (-t, -d, -n)
# D_TITLEFONT = '-DTITLEFONT="Helvetica-Bold/48"'
# D_DATEFONT  = '-DDATEFONT="Helvetica-Bold/28"'
# D_NOTESFONT = '-DNOTESFONT="Helvetica/8"'

# redefine shading (dates/fillboxes)
# D_SHADING = '-DSHADING="0.6/0.99"'

# specify American (USA_DATES) or European (EUR_DATES) date parsing (-A, -E)
# D_DATE_STYLE = -DDATE_STYLE=USA_DATES

# specify first (leftmost) weekday on calendar (-F)
# D_FIRST_DAY  = -DFIRST_DAY=MON

# specify default time zone for moon phases: "0" = GMT; "5" = Boston (-z)
# D_TIMEZONE   = '-DTIMEZONE="5 [Boston]"'

# 
# This flag controls the generation of EPS-like PostScript so that the output
# contains enhanced comments ('%%Page:', etc.) that are necessary for programs
# like 'psnup' to do useful things with the generated calendars.
# 
D_EPS = -DEPS

# specify default language
# D_LANGUAGE = -DLANG_DEFAULT=LANG_ENGLISH

# customize HTML output
# D_BGCOLOR = '-DBGCOLOR="ffffff"'
# D_BACKGROUND = -DBACKGROUND=NULL
# D_TEXT = -DTEXT=NULL
# D_LINK = -DLINK=NULL
# D_ALINK = -DALINK=NULL
# D_VLINK = -DVLINK=NULL
# D_HOLIDAY_PRE = '-DHOLIDAY_PRE="<font color=\"ff0000\"><b>"'
# D_HOLIDAY_POST = '-DHOLIDAY_POST="</b></font>"'
# D_BLANK_STYLE = '-DDIVIDE_BLANK_SPACE=0'

# 
# This flag controls whether 'pcal' will search for the calendar
# control/options file ('calendar') in the directory where the 'pcal'
# executable code resides.  Disabling this flag (by enabling the line below)
# prevents the search, thereby avoiding a potential conflict with any program
# named 'calendar' which has also been installed there.  Note that the
# 'pcaldefs.h' source code file enables this search by default, unless it has
# been overridden here.
# 
# D_SEARCH_PCAL_DIR = '-DSEARCH_PCAL_DIR=0'

# ------------------------------------------------------------------

COPTS = $(D_MAPFONTS) $(D_TITLEFONT) $(D_DATEFONT) $(D_NOTESFONT) \
	$(D_SHADING) $(D_DATE_STYLE) $(D_FIRST_DAY) $(D_TIMEZONE) \
	$(D_EPS) $(D_LANGUAGE) $(D_BGCOLOR) $(D_BACKGROUND) \
	$(D_TEXT) $(D_LINK) $(D_ALINK) $(D_VLINK) \
	$(D_HOLIDAY_PRE) $(D_HOLIDAY_POST) $(D_BLANK_STYLE) \
	$(D_SEARCH_PCAL_DIR) $(D_BUILD_ENV)

# 
# Depending on whether we're compiling for Unix, OS/2, or DOS/DJGPP, use
# appropriate values as flags for the C compiler.
# 
#    '-O2' enables a 2nd-level code optimization
#    '-Wall' enables many compile-time warning messages
#    '-W' enables some additional compile-time warning messages
#    '-DDOS' is used in DOS+DJGPP to get DOS-like settings
# 
ifeq ($(OS),OS2)   # OS/2
	CFLAGS = -O2 -Wall
else
	ifeq ($(OS),DJGPP)   # DOS/DJGPP
		CFLAGS = -DDOS
	else   # Unix
		CFLAGS = -O2 -Wall -W
	endif
endif

$(EXECDIR)/$(PCAL):	$(EXECDIR)/$(PCALINIT) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(EXECDIR)/$(PCAL) $(OBJECTS) -lm
	@ echo "Build of $(PCAL) for" $(OS_NAME) "completed."

$(OBJDIR)/exprpars.o:	$(SRCDIR)/exprpars.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcalglob.h $(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/exprpars.c

$(OBJDIR)/moonphas.o:	$(SRCDIR)/moonphas.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcalglob.h $(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/moonphas.c

$(OBJDIR)/pcal.o:	$(SRCDIR)/pcal.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcalglob.h $(SRCDIR)/pcallang.h \
			$(SRCDIR)/pcalpapr.h $(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/pcal.c

$(OBJDIR)/pcalpapr.o:	$(SRCDIR)/pcalpapr.c $(SRCDIR)/pcalpapr.h \
			$(SRCDIR)/pcaldefs.h $(SRCDIR)/pcalglob.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/pcalpapr.c

$(OBJDIR)/pcalutil.o:	$(SRCDIR)/pcalutil.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcalglob.h $(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/pcalutil.c

$(OBJDIR)/readfile.o:	$(SRCDIR)/readfile.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcalglob.h $(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/readfile.c

# 
# Note: Unlike the other C-source-based object file targets above, this target
# for 'writefil.o' adds the '-I$(OBJDIR)' so that the 'pcalinit.h' file (which
# is generated automatically at compile time from the 'pcalinit.ps' source,
# using the 'pcalinit' execuatable) will be properly found when 'writefil.c'
# code does '#include pcalinit.h'.
# 
$(OBJDIR)/writefil.o:	$(SRCDIR)/writefil.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcalglob.h $(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h $(OBJDIR)/pcalinit.h \
			$(SRCDIR)/pcalpapr.h 
	$(CC) $(CFLAGS) $(COPTS) -I$(OBJDIR) -o $@ -c $(SRCDIR)/writefil.c

# 
# This target builds the 'pcalinit' executable utility, which is used to
# convert the 'pcalinit.ps' file into a C header file named 'pcalinit.h'.
# 
$(EXECDIR)/$(PCALINIT): $(SRCDIR)/pcalinit.c
	$(PCALINIT_CC) $(CFLAGS) $(LDFLAGS) $(COPTS) \
		-o $(EXECDIR)/$(PCALINIT) $(SRCDIR)/pcalinit.c

# 
# This target runs the 'pcalinit' executable utility to convert the
# 'pcalinit.ps' file into a C header file named 'pcalinit.h'.
# 
$(OBJDIR)/pcalinit.h: $(EXECDIR)/$(PCALINIT) $(SRCDIR)/pcalinit.ps
	$(EXECDIR)/$(PCALINIT) $(SRCDIR)/pcalinit.ps $(OBJDIR)/pcalinit.h header

# 
# This target will delete everything except the 'pcal' executable.
# 
clean:
	rm -f $(OBJECTS) $(EXECDIR)/$(PCALINIT) $(OBJDIR)/pcalinit.h \
		$(DOCDIR)/pcal.cat $(DOCDIR)/pcal-help.ps \
		$(DOCDIR)/pcal-help.html $(DOCDIR)/pcal-help.txt

# 
# This target will delete everything, including the 'pcal' executable.
# 
clobber: clean
	rm -f $(EXECDIR)/$(PCAL)

# 
# This target will delete everything and rebuild 'pcal' from scratch.
# 
fresh:	clobber $(PCAL)

man:	$(DOCDIR)/pcal.man
	nroff -man $(DOCDIR)/pcal.man > $(DOCDIR)/pcal.cat
	groff -man -Tps $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.ps
	groff -man -Thtml $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.html
	groff -man -Tascii $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.txt

install:	$(EXECDIR)/$(PCAL) man
	cp $(EXECDIR)/$(PCAL) $(BINDIR)
	cp $(DOCDIR)/pcal.man $(MANDIR)/pcal.1
	$(PACK) $(MANDIR)/pcal.1
	cp $(DOCDIR)/pcal.cat $(CATDIR)/pcal.1
	$(PACK) $(CATDIR)/pcal.1

## pcal 4.9.1

=== Makefile ===
--- 
+++ 
@@ -10,33 +10,59 @@
 #    DOS+DJGPP: make OS=DJGPP
 # 
 # 
-# v4.8.0: Enhance comments; reverse sense of 'SEARCH_PCAL_DIR' flag so that
-#         enabling the commented-out line has the desired effect; remove
-#         unused 'make' targets ('compress' and 'uuencode') and now-obsolete
-#         list of files for 'TARSRC'; remove refs to obsolete source
-#         files; remove now-unneeded specification of paper size; provide for
-#         new directory locations for source code, object code, and executable 
-#         code; merge OS/2 'Makefile.os2' file into this file; add support for
-#         DOS+DJGPP building based on a patch from Thiago F.G. Albuquerque;
-#         provide a new flag 'BUILD_ENV_xxx' so that we can distinquish the 
-#         build environment among Unix, OS/2, and DOS+DJGPP at compile time;
-#         fixed up the out-of-date target dependency lists
+# v4.9.1: 
+#    
+#    Fix syntax which causes error when using 'make install' command.
+#    
+# v4.9.0: 
+#    
+#    Add comments for new 'MAPFONTS' options to control PostScript character
+#    encodings to support multiple languages.
+#    
+#    Remove obsolete comment about directory usage.  Fix minor comment typo.
+#    
+#    Remove reference to now-obsolete 'Esperanto' character encoding.
+#    
+#    Enable the '-DSEARCH_PCAL_DIR=0' line by default now, so that the 'pcal'
+#    configuration file (a.k.a. the 'date' file, often named 'calendar') will
+#    _not_ be looked for in the same directory as the 'pcal' executable file.
+#    This prevents erroneous use of a common Unix executable named 'calendar'
+#    as a 'pcal' configuration file.  This change was done to minimize the
+#    deltas applied by the Debian distribution.
+#    
+#    Bypass some processing of the documentation if the directory specified
+#    by 'MANDIR' and/or 'CATDIR' does not exist.  This prevents an error 
+#    during the 'make install' step when building in certain environments 
+#    (e.g. DOS+DJGPP).
+# 
+# v4.8.0: 
+#    
+#    Enhance comments; reverse sense of 'SEARCH_PCAL_DIR' flag so that
+#    enabling the commented-out line has the desired effect; remove unused
+#    'make' targets ('compress' and 'uuencode') and now-obsolete list of files
+#    for 'TARSRC'; remove refs to obsolete source files; remove now-unneeded
+#    specification of paper size; provide for new directory locations for
+#    source code, object code, and executable code; merge OS/2 'Makefile.os2'
+#    file into this file; add support for DOS+DJGPP building based on a patch
+#    from Thiago F.G. Albuquerque; provide a new flag 'BUILD_ENV_xxx' so that
+#    we can distinquish the build environment among Unix, OS/2, and DOS+DJGPP
+#    at compile time; fixed up the out-of-date target dependency lists
 #         
 # v4.7: add HTML-specific command-line definitions (cf. pcaldefs.h)
-#	delete moon96; add moon98
-#	add Makefile.os2 to TARSRC definition
-#	parameterize executable names; define pcalinit-specific compiler
-#	  name (to facilitate cross-builds)
+#       delete moon96; add moon98
+#       add Makefile.os2 to TARSRC definition
+#       parameterize executable names; define pcalinit-specific compiler
+#       name (to facilitate cross-builds)
 #
 # v4.6: "make compress" creates compressed tar file; "make uuencode" creates
-#	uuencode-d version thereof
+#       uuencode-d version thereof
 #
 # v4.5: "make clean" leaves pcal intact but removes other by-products;
 #       "make clobber" blows everything away;
-#	"make fresh" rebuilds from scratch
+#       "make fresh" rebuilds from scratch
 #
 
-VERSION  = 4.8.0
+VERSION  = 4.9.1
 
 # 
 # Depending on whether we're compiling for Unix, OS/2, or DOS/DJGPP, use
@@ -92,11 +118,6 @@
 #    - 'man' pages
 #    - 'cat' pages
 # 
-# Note that in an attempt to better document the actions in this 'make' file,
-# separate directories are allowed for the source, the objects, and the
-# executables, but for now, we're just using the same actual destination
-# directory ('src') for all of them.
-# 
 SRCDIR	= src
 OBJDIR	= obj
 EXECDIR	= exec
@@ -127,15 +148,33 @@
 # 
 
 # 
-# Define an 8-bit character mapping by defining 'MAPFONTS' to one of the
-# following:
-#    
-#    LATIN1 (for ISO Latin-1)
-#    ROMAN8 (for Roman8)
-#    ESPERANTO (for Esperanto)
-#    KOI8U (for KOI8-U [Ukrainian variant of Cyrillic])
-#    
-# D_MAPFONTS   = -DMAPFONTS=ROMAN8
+# Allow the ability to specify an alternate 8-bit character mapping by
+# defining 'MAPFONTS' to one of the following:
+#    
+#    ENC_LATIN_1   (ISO 8859-1)
+#    ENC_LATIN_2   (ISO 8859-2)
+#    ENC_LATIN_3   (ISO 8859-3)
+#    ENC_LATIN_4   (ISO 8859-4)
+#    ENC_CYRILLIC  (ISO 8859-5)
+#    ENC_ARABIC    (ISO 8859-6) (*** unsupported ***)
+#    ENC_GREEK     (ISO 8859-7)
+#    ENC_HEBREW    (ISO 8859-8)  (*** unsupported ***)
+#    ENC_LATIN_5   (ISO 8859-9)
+#    ENC_LATIN_6   (ISO 8859-10)
+#    ENC_THAI      (ISO 8859-11)
+#    ENC_LATIN_7   (ISO 8859-13)
+#    ENC_LATIN_8   (ISO 8859-14)
+#    ENC_LATIN_9   (ISO 8859-15)
+#    ENC_LATIN_10  (ISO 8859-16)  (*** unsupported ***)
+#    ENC_KOI8_R    (Russian)
+#    ENC_KOI8_U    (Ukrainian)
+#    ENC_ROMAN8    (Roman8)
+#    
+# Note that this is not normally needed, since 'pcal' will automatically
+# assign the proper character encoding (if any) depending on the language
+# selected.
+# 
+# D_MAPFONTS = -DMAPFONTS=ENC_KOI8_R
 
 # redefine title, date, and notes font/pointsize (-t, -d, -n)
 # D_TITLEFONT = '-DTITLEFONT="Helvetica-Bold/48"'
@@ -184,7 +223,7 @@
 # 'pcaldefs.h' source code file enables this search by default, unless it has
 # been overridden here.
 # 
-# D_SEARCH_PCAL_DIR = '-DSEARCH_PCAL_DIR=0'
+D_SEARCH_PCAL_DIR = '-DSEARCH_PCAL_DIR=0'
 
 # ------------------------------------------------------------------
 
@@ -251,7 +290,7 @@
 # Note: Unlike the other C-source-based object file targets above, this target
 # for 'writefil.o' adds the '-I$(OBJDIR)' so that the 'pcalinit.h' file (which
 # is generated automatically at compile time from the 'pcalinit.ps' source,
-# using the 'pcalinit' execuatable) will be properly found when 'writefil.c'
+# using the 'pcalinit' executable) will be properly found when 'writefil.c'
 # code does '#include pcalinit.h'.
 # 
 $(OBJDIR)/writefil.o:	$(SRCDIR)/writefil.c $(SRCDIR)/pcaldefs.h \
@@ -302,7 +341,9 @@
 
 install:	$(EXECDIR)/$(PCAL) man
 	cp $(EXECDIR)/$(PCAL) $(BINDIR)
-	cp $(DOCDIR)/pcal.man $(MANDIR)/pcal.1
-	$(PACK) $(MANDIR)/pcal.1
-	cp $(DOCDIR)/pcal.cat $(CATDIR)/pcal.1
-	$(PACK) $(CATDIR)/pcal.1
+	if [ -d $(MANDIR) ]; then \
+		cp $(DOCDIR)/pcal.man $(MANDIR)/pcal.1;	\
+		$(PACK) $(MANDIR)/pcal.1;		\
+	fi
+	if [ -d $(CATDIR) ]; then \
+		cp $(DOCDIR)/pcal.cat $(CATDIR)/pcal.1; \

## pcal 4.10.0

=== Makefile ===
#
# Makefile for 'pcal' under Unix/Linux, DOS+DJGPP, and DOS/Windows+Cygwin
# 
# Use these commands:
# 
#    Unix/Linux: make
# 
#    DOS+DJGPP: make OS=DJGPP
# 
# 
# v4.10.0: Bill Marr
#    
#    Accommodate the fact that the use of 'pcalinit.{c,ps,h}' is no longer
#    needed.  PostScript output is now directly generated by C code, without
#    the use of a PostScript template which was converted to a C header file.
#    
#    Eliminate other now-unused files ('pcalglob.h', 'pcalpapr.{c,h}') and add
#    new files ('encvec.c', 'pcallang.c').
#    
#    Drop support for obsolete platforms (Amiga, VMS, OS/2).
#    
#    Rename 'EPS' definition to 'EPS_DSC' (in order to more clearly show its
#    purpose and to avoid confusion with the embedded EPS image capability for
#    monthly calendars).  Enhance comments about its use.
#    
#    Expand the explanation and provide more examples of the use of the 
#    timezone setting.
#    
#    Remove the now-unneeded 'VERSION = x.y' declaration.
# 
# v4.9.1: Bill Marr
#    
#    Fix syntax which causes error when using 'make install' command.
#    
# v4.9.0: Bill Marr
#    
#    Add comments for new 'MAPFONTS' options to control PostScript character
#    encodings to support multiple languages.
#    
#    Remove obsolete comment about directory usage.  Fix minor comment typo.
#    
#    Remove reference to now-obsolete 'Esperanto' character encoding.
#    
#    Enable the '-DSEARCH_PCAL_DIR=0' line by default now, so that the 'pcal'
#    configuration file (a.k.a. the 'date' file, often named 'calendar') will
#    _not_ be looked for in the same directory as the 'pcal' executable file.
#    This prevents erroneous use of a common Unix executable named 'calendar'
#    as a 'pcal' configuration file.  This change was done to minimize the
#    deltas applied by the Debian distribution.
#    
#    Bypass some processing of the documentation if the directory specified
#    by 'MANDIR' and/or 'CATDIR' does not exist.  This prevents an error 
#    during the 'make install' step when building in certain environments 
#    (e.g. DOS+DJGPP).
# 
# v4.8.0: Bill Marr
#    
#    Enhance comments; reverse sense of 'SEARCH_PCAL_DIR' flag so that
#    enabling the commented-out line has the desired effect; remove unused
#    'make' targets ('compress' and 'uuencode') and now-obsolete list of files
#    for 'TARSRC'; remove refs to obsolete source files; remove now-unneeded
#    specification of paper size; provide for new directory locations for
#    source code, object code, and executable code; merge OS/2 'Makefile.os2'
#    file into this file; add support for DOS+DJGPP building based on a patch
#    from Thiago F.G. Albuquerque; provide a new flag 'BUILD_ENV_xxx' so that
#    we can distinquish the build environment among Unix, OS/2, and DOS+DJGPP
#    at compile time; fixed up the out-of-date target dependency lists
#         
# v4.7: Andrew Rogers
# 
#       add HTML-specific command-line definitions (cf. pcaldefs.h)
#       delete moon96; add moon98
#       add Makefile.os2 to TARSRC definition
#       parameterize executable names; define pcalinit-specific compiler
#       name (to facilitate cross-builds)
#
# v4.6: Andrew Rogers
# 
#       "make compress" creates compressed tar file; "make uuencode" creates
#       uuencode-d version thereof
#
# v4.5: Andrew Rogers
# 
#       "make clean" leaves pcal intact but removes other by-products;
#       "make clobber" blows everything away;
#       "make fresh" rebuilds from scratch
#

# -----------------------------------------------------------------------------
# 
# Depending on whether we're compiling for Unix/Linux or DOS+DJGPP, use
# appropriate values for the OS name, the 'build environment' flag, the names
# of the executable files, the compiler(s), and the 'PACK' value.
# 
# The 'PCALINIT_CC' value should always specify the compiler native to the
# host on which we're building 'pcal'.  The 'CC' value should specify the same
# (native) compiler, unless the target machine requires a cross-compiler.
# 
# The 'PACK' value is used for packing the 'man' page.  Note that setting
# 'PACK' to ":" will cause no packing to be done; otherwise, choose
# "compress", "pack", or "gzip" as your system requires.
# 
ifeq ($(OS),DJGPP)   # DOS+DJGPP
	OS_NAME = "DOS+DJGPP"
	D_BUILD_ENV	= -DBUILD_ENV_DJGPP
	PCAL		= pcal.exe
	PCALINIT	= pcalinit.exe
	CC		= gcc
	PCALINIT_CC	= gcc
	PACK =		:
else   # Unix
	OS_NAME = "Unix"
	D_BUILD_ENV	= -DBUILD_ENV_UNIX
	PCAL		= pcal
	PCALINIT	= pcalinit
	CC		= /usr/bin/gcc
	PCALINIT_CC	= /usr/bin/gcc
	PACK		= compress
	# PACK		= pack
	# PACK		= gzip
endif

# 
# Define various directories for the following items:
# 
#    - source code
#    - object code (and compile-time, auto-generated C header files)
#    - installed 'pcal' executable
#    - documentation
#    - 'man' pages
#    - 'cat' pages
# 
SRCDIR	= src
OBJDIR	= obj
EXECDIR	= exec
DOCDIR	= doc

# 
# Compiling for DOS+DJGPP requires different directories for the installed
# executable and the 'man'/'cat' pages.  Unix uses the values shown below.
# 
ifeq ($(OS),DJGPP)   # DOS+DJGPP
	BINDIR = $(DJDIR)/bin
	MANDIR = $(DJDIR)/man/man1
	CATDIR = $(DJDIR)/man/cat1
else   # Unix
	BINDIR = /usr/local/bin
	MANDIR = /usr/man/man1
	CATDIR = /usr/man/cat1
endif

OBJECTS = $(OBJDIR)/pcal.o \
		$(OBJDIR)/encvec.o $(OBJDIR)/exprpars.o \
		$(OBJDIR)/moonphas.o $(OBJDIR)/pcalutil.o \
		$(OBJDIR)/pcallang.o \
		$(OBJDIR)/readfile.o $(OBJDIR)/writefil.o

# ------------------------------------------------------------------
# 
# Site-specific defaults which may be overridden here (cf. pcallang.h);
# uncomment the examples below and/or change them to your liking
# 

# 
# Allow the ability to specify an alternate 8-bit character mapping by
# defining 'MAPFONTS' to one of the following:
#    
#    ENC_LATIN_1   (ISO 8859-1)
#    ENC_LATIN_2   (ISO 8859-2)
#    ENC_LATIN_3   (ISO 8859-3)
#    ENC_LATIN_4   (ISO 8859-4)
#    ENC_CYRILLIC  (ISO 8859-5)
#    ENC_ARABIC    (ISO 8859-6) (*** unsupported ***)
#    ENC_GREEK     (ISO 8859-7)
#    ENC_HEBREW    (ISO 8859-8)  (*** unsupported ***)
#    ENC_LATIN_5   (ISO 8859-9)
#    ENC_LATIN_6   (ISO 8859-10)
#    ENC_THAI      (ISO 8859-11)
#    ENC_LATIN_7   (ISO 8859-13)
#    ENC_LATIN_8   (ISO 8859-14)
#    ENC_LATIN_9   (ISO 8859-15)
#    ENC_LATIN_10  (ISO 8859-16)  (*** unsupported ***)
#    ENC_KOI8_R    (Russian)
#    ENC_KOI8_U    (Ukrainian)
#    ENC_ROMAN8    (Roman8)
#    
# This is equivalent to the use of the '-r' option.
# 
# Note that this is not normally needed, since 'pcal' will automatically
# assign the proper character encoding (if any) depending on the language
# selected.
# 
# D_MAPFONTS = -DMAPFONTS=ENC_KOI8_R

# redefine title, date, and notes font/pointsize ('-t', '-d', '-n')
# D_TITLEFONT = '-DTITLEFONT="Helvetica-Bold/48"'
# D_DATEFONT  = '-DDATEFONT="Helvetica-Bold/28"'
# D_NOTESFONT = '-DNOTESFONT="Helvetica/8"'

# redefine shading (dates/fillboxes) ('-s')
# D_SHADING = '-DSHADING="0.6/0.99"'

# specify American (USA_DATES) or European (EUR_DATES) date parsing ('-A', '-E')
# D_DATE_STYLE = -DDATE_STYLE=USA_DATES

# specify first (leftmost) weekday on calendar ('-F')
# D_FIRST_DAY  = -DFIRST_DAY=MON

# 
# Specify the timezone ('-z') for determining the correct day when
# calculating the moon phases:
#    
#    "0"    = UTC/GMT (default)
#    "5"    = New York EST
#    "-3"   = Moscow
#    "-5.5" = India
# 
# D_TIMEZONE = '-DTIMEZONE="5 [New York EST]"'
# D_TIMEZONE = '-DTIMEZONE="4 [New York EDT]"'
# D_TIMEZONE = '-DTIMEZONE="8 [Los Angeles PST]"'
# D_TIMEZONE = '-DTIMEZONE="7 [Los Angeles PDT]"'
# D_TIMEZONE = '-DTIMEZONE="-3 [Moscow]"'
# D_TIMEZONE = '-DTIMEZONE="-5.5 [India]"'

# 
# This flag controls the generation of EPS-like PostScript Document
# Structuring Conventions (DSC) so that the output contains enhanced comments
# ('%%Page:', etc.) that are necessary for programs like 'psnup' to do useful
# things with the generated calendars.  These comments also allow PostScript
# previewer applications to page up to the previous page.
# 
D_EPS_DSC = -DEPS_DSC

# specify default language
# D_LANGUAGE = -DLANG_DEFAULT=LANG_ENGLISH

# customize HTML output
# D_BGCOLOR = '-DBGCOLOR="ffffff"'
# D_BACKGROUND = -DBACKGROUND=NULL
# D_TEXT = -DTEXT=NULL
# D_LINK = -DLINK=NULL
# D_ALINK = -DALINK=NULL
# D_VLINK = -DVLINK=NULL
# D_HOLIDAY_PRE = '-DHOLIDAY_PRE="<font color=\"ff0000\"><b>"'
# D_HOLIDAY_POST = '-DHOLIDAY_POST="</b></font>"'
# D_BLANK_STYLE = '-DDIVIDE_BLANK_SPACE=0'

# 
# This flag controls whether 'pcal' will search for the calendar
# control/options file ('calendar') in the directory where the 'pcal'
# executable code resides.  Disabling this flag (by enabling the line below)
# prevents the search, thereby avoiding a potential conflict with any program
# named 'calendar' which has also been installed there.  Note that the
# 'pcaldefs.h' source code file enables this search by default, unless it has
# been overridden here.
# 
D_SEARCH_PCAL_DIR = '-DSEARCH_PCAL_DIR=0'

# ------------------------------------------------------------------

COPTS = $(D_MAPFONTS) $(D_TITLEFONT) $(D_DATEFONT) $(D_NOTESFONT) \
	$(D_SHADING) $(D_DATE_STYLE) $(D_FIRST_DAY) $(D_TIMEZONE) \
	$(D_EPS_DSC) $(D_LANGUAGE) $(D_BGCOLOR) $(D_BACKGROUND) \
	$(D_TEXT) $(D_LINK) $(D_ALINK) $(D_VLINK) \
	$(D_HOLIDAY_PRE) $(D_HOLIDAY_POST) $(D_BLANK_STYLE) \
	$(D_SEARCH_PCAL_DIR) $(D_BUILD_ENV)

# 
# Depending on whether we're compiling for Unix/Linux or DOS+DJGPP, use
# appropriate values as flags for the C compiler.
# 
#    '-O2' enables a 2nd-level code optimization
#    '-Wall' enables many compile-time warning messages
#    '-W' enables some additional compile-time warning messages
# 
ifeq ($(OS),DJGPP)   # DOS+DJGPP
	CFLAGS = -Wall -W
else   # Unix
	CFLAGS = -O2 -Wall -W
endif

$(EXECDIR)/$(PCAL):	$(OBJECTS)
	$(CC) $(LDFLAGS) -o $(EXECDIR)/$(PCAL) $(OBJECTS) -lm
	@ echo Build of $(PCAL) for $(OS_NAME) completed.

$(OBJDIR)/encvec.o:	$(SRCDIR)/encvec.c
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/encvec.c

$(OBJDIR)/exprpars.o:	$(SRCDIR)/exprpars.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/exprpars.c

$(OBJDIR)/moonphas.o:	$(SRCDIR)/moonphas.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/moonphas.c

$(OBJDIR)/pcal.o:	$(SRCDIR)/pcal.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/pcal.c

$(OBJDIR)/pcallang.o:	$(SRCDIR)/pcallang.c $(SRCDIR)/pcallang.h \
			$(SRCDIR)/pcaldefs.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/pcallang.c

$(OBJDIR)/pcalutil.o:	$(SRCDIR)/pcalutil.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/pcalutil.c

$(OBJDIR)/readfile.o:	$(SRCDIR)/readfile.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/readfile.c

$(OBJDIR)/writefil.o:	$(SRCDIR)/writefil.c $(SRCDIR)/pcaldefs.h \
			$(SRCDIR)/pcallang.h \
			$(SRCDIR)/protos.h 
	$(CC) $(CFLAGS) $(COPTS) -o $@ -c $(SRCDIR)/writefil.c

# 
# This target will delete everything except the 'pcal' executable.
# 
clean:
	rm -f $(OBJECTS) $(EXECDIR)/$(PCALINIT) $(OBJDIR)/pcalinit.h \
		$(DOCDIR)/pcal.cat $(DOCDIR)/pcal-help.ps \
		$(DOCDIR)/pcal-help.html $(DOCDIR)/pcal-help.txt

# 
# This target will delete everything, including the 'pcal' executable.
# 
clobber: clean
	rm -f $(EXECDIR)/$(PCAL)

# 
# This target will delete everything and rebuild 'pcal' from scratch.
# 
fresh:	clobber $(PCAL)

man:	$(DOCDIR)/pcal.man
	nroff -man $(DOCDIR)/pcal.man > $(DOCDIR)/pcal.cat
	groff -man -Tps $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.ps
	groff -man -Thtml $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.html
	groff -man -Tascii $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.txt

install:	$(EXECDIR)/$(PCAL) man
	cp $(EXECDIR)/$(PCAL) $(BINDIR)

## pcal 4.11.0

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,17 @@
 #    DOS+DJGPP: make OS=DJGPP
 # 
 # 
+# v4.11.0: Bill Marr
+#    
+#    Provide support for a user-specified destination directory ('$DESTDIR') 
+#    on the installation step.
+#    
+#       For example: make DESTDIR=$HOME/test install
+#    
+#    Remove all remaining references (environment variables, etc) to the
+#    unneeded 'pcalinit' items, which were accidentally overlooked in the 
+#    last release.
+#    
 # v4.10.0: Bill Marr
 #    
 #    Accommodate the fact that the use of 'pcalinit.{c,ps,h}' is no longer
@@ -92,10 +103,6 @@
 # appropriate values for the OS name, the 'build environment' flag, the names
 # of the executable files, the compiler(s), and the 'PACK' value.
 # 
-# The 'PCALINIT_CC' value should always specify the compiler native to the
-# host on which we're building 'pcal'.  The 'CC' value should specify the same
-# (native) compiler, unless the target machine requires a cross-compiler.
-# 
 # The 'PACK' value is used for packing the 'man' page.  Note that setting
 # 'PACK' to ":" will cause no packing to be done; otherwise, choose
 # "compress", "pack", or "gzip" as your system requires.
@@ -104,17 +111,13 @@
 	OS_NAME = "DOS+DJGPP"
 	D_BUILD_ENV	= -DBUILD_ENV_DJGPP
 	PCAL		= pcal.exe
-	PCALINIT	= pcalinit.exe
 	CC		= gcc
-	PCALINIT_CC	= gcc
 	PACK =		:
 else   # Unix
 	OS_NAME = "Unix"
 	D_BUILD_ENV	= -DBUILD_ENV_UNIX
 	PCAL		= pcal
-	PCALINIT	= pcalinit
 	CC		= /usr/bin/gcc
-	PCALINIT_CC	= /usr/bin/gcc
 	PACK		= compress
 	# PACK		= pack
 	# PACK		= gzip
@@ -323,7 +326,7 @@
 # This target will delete everything except the 'pcal' executable.
 # 
 clean:
-	rm -f $(OBJECTS) $(EXECDIR)/$(PCALINIT) $(OBJDIR)/pcalinit.h \
+	rm -f $(OBJECTS) \
 		$(DOCDIR)/pcal.cat $(DOCDIR)/pcal-help.ps \
 		$(DOCDIR)/pcal-help.html $(DOCDIR)/pcal-help.txt
 
@@ -345,4 +348,4 @@
 	groff -man -Tascii $(DOCDIR)/pcal.man >$(DOCDIR)/pcal-help.txt
 
 install:	$(EXECDIR)/$(PCAL) man
-	cp $(EXECDIR)/$(PCAL) $(BINDIR)
+	mkdir -p $(DESTDIR)/$(BINDIR)

=== debian/changelog ===
pcal (4.11.0-3) unstable; urgency=low

  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 09 May 2012 20:32:10 +0000

pcal (4.11.0-2) unstable; urgency=low

  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 11 Apr 2012 19:38:11 +0000

pcal (4.11.0-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "-J option outputs broken PostScript", thanks to
    nbreen@ofb.net (Nicholas Breen)</a>; (Closes: #400823).

 -- Camm Maguire <camm@debian.org>  Thu, 07 Jan 2010 14:59:50 +0000

pcal (4.10.0-1) unstable; urgency=low

  * New upstream release,Closes: #384535.
  * build-dep on libpaper-dev, Closes: 346401.
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Wed,  4 Oct 2006 10:27:26 -0400

pcal (4.9.1-1) unstable; urgency=low

  * New upstream release, Closes: #334455.
  * updated examples list
  * newer standards
  * updated watchfile to sf redirector

 -- Camm Maguire <camm@enhanced.com>  Fri, 21 Oct 2005 01:23:10 +0000

pcal (4.8.0-2) unstable; urgency=high

  * Fixed watch file

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Mar 2005 20:33:26 +0000

pcal (4.8.0-1) unstable; urgency=high

  * New upstream release
  * Bug fix: "CAN-2004-1289 Multiple buffer overflows", thanks to Joey
    Hess (Closes: #287039).  Fixed upstream.
  * Bug fix: "pcal: option &quot;-a pt&quot; does not work", thanks to
    Pedro Zorzenon Neto (Closes: #284098).  Fixed upstream.

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 Jan 2005 17:00:54 +0000

pcal (4.7.1-3) unstable; urgency=high

  * Add watch file

 -- Camm Maguire <camm@enhanced.com>  Fri, 29 Oct 2004 17:07:44 +0000

pcal (4.7.1-2) unstable; urgency=low

  * Define SEARCH_PCAL_DIR to 0 to avoide conflict with /usr/bin/calendar.
    Closes: #272656.  Closes: #241708.
  * Extend libpaper support to postscript bounding box, postscript comment
    size, and 'tray' dictionaries.  Closes: #244701.
  * Bug fix: "pcal: Would like enhanced define capability", thanks to
    Louis Taber (Closes: #267090).  Preliminary support for define values
    in pseudo cpp support.

 -- Camm Maguire <camm@enhanced.com>  Tue, 21 Sep 2004 17:25:12 +0000

pcal (4.7.1-1) unstable; urgency=low

  * Bug fix: "New upstream release available", thanks to Martin Michlmayr
    (Closes: #240093).
  * Bug fix: "Upstream location out of date", thanks to Martin Michlmayr
    (Closes: #240094).
  * compat level 4
  * watch file
  * Clean up a few compiler warnings from missing headers
  * Newer standards
  * Rephrase description slightly

 -- Camm Maguire <camm@enhanced.com>  Mon, 29 Mar 2004 16:41:30 +0000

pcal (4.7-10) unstable; urgency=low

  * Fix typo in man page, Closes: #176307

 -- Camm Maguire <camm@enhanced.com>  Mon, 17 Feb 2003 15:52:40 -0500

pcal (4.7-9) unstable; urgency=low

  * Added Finnish translation, Closes: #168603

 -- Camm Maguire <camm@enhanced.com>  Thu, 14 Nov 2002 21:39:06 -0500

pcal (4.7-8) unstable; urgency=low

  * Fixed path length overflow bug

 -- Camm Maguire <camm@enhanced.com>  Wed, 27 Feb 2002 11:07:06 -0500

pcal (4.7-7) unstable; urgency=low

  * Removed add-log-mailing-address from changelog, New policy standard,
    Closes: #123609
  * Applied Portugese language patch, Closes: #123607

 -- Camm Maguire <camm@enhanced.com>  Wed, 12 Dec 2001 14:29:12 -0500

pcal (4.7-6) unstable; urgency=low

  * Changed Build-Depends on libpaperg to libpaperg-dev, Closes: #97895

 -- Camm Maguire <camm@enhanced.com>  Fri, 18 May 2001 09:31:01 -0400

pcal (4.7-5) unstable; urgency=low

  * Added -DEPS to compile flags to make more useful postscript output,
    Closes: #97734
  * Added Build-Depends

 -- Camm Maguire <camm@enhanced.com>  Thu, 17 May 2001 10:20:36 -0400

pcal (4.7-4) unstable; urgency=low

  * Upgraded to latest standards version
  * chmod -x moon98 example

 -- Camm Maguire <camm@enhanced.com>  Wed, 29 Mar 2000 19:30:33 +0200

pcal (4.7-3) frozen; urgency=low

  * Prevented search for calendar file in executable directory, closing #56136

 -- Camm Maguire <camm@enhanced.com>  Tue, 25 Jan 2000 13:24:08 -0500

pcal (4.7-2) unstable; urgency=low

  * Added runtime papersize support using libpaper.  Only supported
  formats so far are upstream compile time options, letter and a4.
  (closes #53852)

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 Jan 2000 13:37:45 -0500

pcal (4.7-1) unstable; urgency=low

  * Updated program source in copyright file
  * Installed a more modern rules file from debhelper
  * Added some new files as examples, including web interface --  
  this should evenutally be installed as a cgi addon
  * Fixed man page typo -- -\ -> \-
  * Miscellaneous Makefile changes for proper Debianization
  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 16:32:24 -0400

pcal (4.1-3) unstable; urgency=low

  * Fixed lintian errors

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Sep 1999 16:32:24 -0400

pcal (4.1-2) unstable; urgency=low

  * Fixed lintian error: removed README.Debian
  * Fixed lintian error: manpage not executable
  * Added newline to Makefile

 -- Camm Maguire <camm@enhanced.com>  Mon, 12 Apr 1999 15:27:58 -0400

pcal (4.1-1) unstable; urgency=low

  * Prevented pcal from searching in /usr/bin for calendars
  * Made miscellaneous changes to get a clean compile with -Wall
  * Edited Makefile, CC=gcc, install in /usr/man and /usr/bin
  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Tue,  5 Jan 1999 12:20:05 -0500

=== debian/control ===
Source: pcal
Section: utils
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper ( >= 9 ), groff, libpaper-dev
Standards-Version: 3.9.3

Package: pcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate Postscript calendars without X
 "Pcal" is a program to print PostScript calendars for any month and year.
 By default, it looks for a file in the home directory named "calendar"
 for entries with leading dates matching dates on the calendar, and prints
 any following text under the appropriate day.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) CFLAGS="-O2 -Wall -DEPS"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp debian/pcal.1

	-make clobber

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	make install DESTDIR=`pwd`/debian/pcal
	cp doc/pcal.man debian/pcal.1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/pcal.1
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
#http://prdownloads.sourceforge.net/pcal/pcal-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
#opts=pasv ftp://ftp2.sf.net/pub/sourceforge/p/pc/pcal/pcal-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
http://sf.net/pcal/pcal-(.*)\.tgz debian uupdate
